<?php

namespace App\Exports;

use App\Models\Registers;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithMapping;

class RegistersExport implements FromCollection ,  WithHeadings , WithMapping
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
    {
        return Registers::orderBy('id', 'DESC')->get([
            'name',
            'phone',
            'type_payment',
            'name_mohob',
            'type_mohob',
            'created_at',
        ]);
    }


    public function map($registration): array
    {

        return [
            $registration->name,
            $registration->phone,
            $registration->type_payment,
            $registration->name_mohob,
            $registration->type_mohob,
            $registration->created_at->format('Y-m-d'),

        ];
    }

    public function headings(): array
    {
        return [
            'الإسم',
            
            'رقم الهاتف',
            'نوع الدفع',

            'اسم الموهوب',

            'حاله الموهوب',
            'تاريخ التسجيل',

        ];
    }
}
