<?php

namespace App\Providers;

use App\Interfaces\Admin\SurahQuranInterfaces;
use App\Interfaces\Website\WebSiteInterfaces;
use App\Repository\Admin\SurahQuranRepository;
use App\Repository\Website\WebSiteRepository;
use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        // Web Site
       $this->app->bind(WebSiteInterfaces::class,WebSiteRepository::class);


       // Admin Control
        $this->app->bind(SurahQuranInterfaces::class,SurahQuranRepository::class);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
